------------------------------------------------------------------------
r7822 | mhall | 2011-11-02 15:16:41 +1300 (Wed, 02 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Fixed a bug where a npe was generated when a running flow finished after a user had closed a tab at lower index than the running one.
------------------------------------------------------------------------
r7824 | mhall | 2011-11-02 15:19:09 +1300 (Wed, 02 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Fixed a bug where the number of execution slots was not getting changed (if the user changed the setting) after an initial run of the flow in question.
------------------------------------------------------------------------
r7829 | fracpete | 2011-11-03 08:58:00 +1300 (Thu, 03 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/json/JSONNode.java

added method for adding a null array element
------------------------------------------------------------------------
r7830 | fracpete | 2011-11-03 09:00:24 +1300 (Thu, 03 Nov 2011) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/json/JSONInstances.java

added support for missing values, which get stored as "?"
added special handling of '?' labels, in order not to confuse them with missing values
sparse rows are now also instantiated as SparseInstance objects
------------------------------------------------------------------------
r7831 | mhall | 2011-11-03 20:52:44 +1300 (Thu, 03 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Now makes sure that a 0,0 point gets included on the curve.
------------------------------------------------------------------------
r7834 | mhall | 2011-11-08 15:42:29 +1300 (Tue, 08 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/EditableBayesNet.java

Fixed a bug (caused indirectly by the change that disallows attributes with the same name in a set of instances) whereby an exception was generated by actions that mutated the values at a node.
------------------------------------------------------------------------
r7840 | fracpete | 2011-11-11 13:09:17 +1300 (Fri, 11 Nov 2011) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LinearRegression.java

added option "-minimal" which discards training header, means and stdevs after model was built to conserve memory; very useful if LinearRegression is used multiple times as a base classifier within another scheme (and checks are turned off)
removed duplicate debug property (already defined in AbstractClassifier)
------------------------------------------------------------------------
r7842 | mhall | 2011-11-11 15:46:55 +1300 (Fri, 11 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseSaver.java

Added an option to truncate the target table (rather than throw an exception if the table already exists). Truncating drops and recreates. If not truncating then new data is appended to the table.
------------------------------------------------------------------------
r7843 | mhall | 2011-11-11 15:47:22 +1300 (Fri, 11 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Updated to add a checkbox for the new truncate option.
------------------------------------------------------------------------
r7846 | mhall | 2011-11-14 19:43:56 +1300 (Mon, 14 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java

getOptions() was not returning the evaluation metric - fixed.
------------------------------------------------------------------------
r7848 | mhall | 2011-11-21 13:26:05 +1300 (Mon, 21 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql

float4 mapped to getDouble() - fixed so that it maps to getFloat()
------------------------------------------------------------------------
r7851 | mhall | 2011-11-22 10:04:38 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java

Added support for customizers. If the object being edited has a customizer then this is preferred over individual property editors.
------------------------------------------------------------------------
r7852 | mhall | 2011-11-22 10:04:55 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java

Added support for customizers. If the object being edited has a customizer then this is preferred over individual property editors.
------------------------------------------------------------------------
r7853 | mhall | 2011-11-22 10:05:37 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/GOECustomizer.java

Initial import
------------------------------------------------------------------------
r7854 | mhall | 2011-11-22 10:08:19 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java

Fixed a bug where configuration changes (new files selected or database configuration changed) was not getting sent to downstream steps
------------------------------------------------------------------------
r7860 | mhall | 2011-11-22 14:17:18 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java

Now ensures that structure gets passed on for non-file or non-databse loaders
------------------------------------------------------------------------
r7861 | mhall | 2011-11-22 14:19:44 +1300 (Tue, 22 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java

Now uses an editable combo box for setting the class index when there is a connected structure. This allows an attribute name, or 1-based index or 'last'/'first' keywords to be typed in directly (as well as an attribute selected from the drop-down box)
------------------------------------------------------------------------
r7866 | mhall | 2011-11-23 14:45:50 +1300 (Wed, 23 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Fixed a bug where a class cast exception would occur when receiving training or test set events when the wrapped saver was a DatabaseSaver.
------------------------------------------------------------------------
r7869 | mhall | 2011-11-24 21:09:32 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java

Now clears string values out of the input format after the first batch has been processed. This saves memory and disk space if the filter gets serialized as part of a FilteredClassifier.
------------------------------------------------------------------------
r7871 | mhall | 2011-11-24 21:50:19 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java

Reverted the previous change as it was unnecessary.
------------------------------------------------------------------------
r7873 | mhall | 2011-11-24 22:59:12 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

When saving a model now cleanses the header that is serialized with the model of string and relational values.
------------------------------------------------------------------------
r7876 | mhall | 2011-11-24 23:10:32 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java

When saving a model now cleanses the header that is serialized with the model of string and relational values.
------------------------------------------------------------------------
r7879 | mhall | 2011-11-25 08:59:32 +1300 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/Filter.java

The relational locator was holding a reference to a copy of the input data structure that was not cleansed of string attribute values after flushInput() had been called. This resulted in overly large serialized file sizes when string attributes were involved - fixed.
------------------------------------------------------------------------
r7882 | mhall | 2011-11-28 13:06:26 +1300 (Mon, 28 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java

Was preventing negative attribute values from being plotted when all points have values < 1 - fixed.
------------------------------------------------------------------------
r7885 | mhall | 2011-11-28 15:58:56 +1300 (Mon, 28 Nov 2011) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/Appender.java
   A /trunk/weka/src/main/java/weka/gui/beans/AppenderBeanInfo.java

Initial import.
------------------------------------------------------------------------
r7886 | mhall | 2011-11-28 15:59:27 +1300 (Mon, 28 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Beans.props

Updated for the Appender bean
------------------------------------------------------------------------
r7887 | mhall | 2011-11-28 16:01:31 +1300 (Mon, 28 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now looks for annotations on built-in components and sets the tool tip text if specified.
------------------------------------------------------------------------
r7891 | mhall | 2011-11-29 11:40:18 +1300 (Tue, 29 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Uses the KFStep annotation to provide a tool tip.
------------------------------------------------------------------------
r7893 | mhall | 2011-11-29 11:41:10 +1300 (Tue, 29 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java

Uses the KFStep annotation to provide a tool tip.
------------------------------------------------------------------------
r7895 | mhall | 2011-11-29 11:47:27 +1300 (Tue, 29 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now provides tool tips for all built-in and plugin steps. Tool tips provided by the KFStep annotation override those that are extracted from the globalInfo() method.
------------------------------------------------------------------------
r7897 | mhall | 2011-11-30 09:56:50 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java

Added the area under the precision-recall curve
------------------------------------------------------------------------
r7901 | fracpete | 2011-11-30 15:34:32 +1300 (Wed, 30 Nov 2011) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/ListSelectorDialog.java
   M /trunk/weka/src/main/java/weka/gui/PropertyDialog.java
   M /trunk/weka/src/main/java/weka/gui/PropertySelectorDialog.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/experiment/OutputFormatDialog.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/sql/SqlViewerDialog.java
   M /trunk/weka/src/main/java/weka/gui/visualize/MatrixPanel.java

making use of Java 6's new handling of modality of dialogs: no longer blocking the whole application (ModalityType.APPLICATION_MODAL), but only the window (ModalityType.DOCUMENT_MODAL)
this allows the copying of a base classifier from within a GOE window in the Explorer into a GOE window of the Experimenter - previously, you had to close all the GOE dialogs in the one window before accessing any other
also, the menu in the GUIChooser is no longer blocked when one has a GOE window open somewhere, e.g., the Explorer
------------------------------------------------------------------------
r7902 | fracpete | 2011-11-30 15:37:08 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

more verbose output in case of an exception in find(Class,String) method
------------------------------------------------------------------------
r7905 | fracpete | 2011-11-30 16:11:54 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/ViewerDialog.java

making use of Java 6's new handling of modality of dialogs: no longer blocking the whole application (ModalityType.APPLICATION_MODAL), but only the window (ModalityType.DOCUMENT_MODAL)
------------------------------------------------------------------------
r7907 | mhall | 2011-11-30 16:29:21 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Was not reading the password into the password text box when the dialog was opened - fixed.
------------------------------------------------------------------------
r7910 | mhall | 2011-11-30 16:36:16 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java

Was not reading the password into the password text box when the dialog was opened - fixed.
------------------------------------------------------------------------
r7913 | mhall | 2011-11-30 19:14:49 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Was not setting environment variables when adding a component to the layout - fixed.
------------------------------------------------------------------------
r7915 | mhall | 2011-12-01 10:48:36 +1300 (Thu, 01 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/templates/saveCharts.kfml

Fixed an error in a note on the canvas
------------------------------------------------------------------------
r7918 | fracpete | 2011-12-01 16:25:25 +1300 (Thu, 01 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericArrayEditor.java

array element that is being edited is now correctly being set again after closing the popped up editor
------------------------------------------------------------------------
r7920 | eibe | 2011-12-02 11:03:14 +1300 (Fri, 02 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Bug fix: classifyInstance and logDensityForInstance in RegressionByDiscretization did not work if class value was not set to be missing *and* the base learner tried to convert this class value somehow (e.g. as OrdinalClassClassifier does).
------------------------------------------------------------------------
r7921 | eibe | 2011-12-02 11:04:22 +1300 (Fri, 02 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/estimators/UnivariateEqualFrequencyHistogramEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateKernelEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateNormalEstimator.java

These estimators did not implement the quantile estimator interface, which meant the -A option in RegressionByDiscretization did not actually work.
------------------------------------------------------------------------
r7922 | mhall | 2011-12-07 14:27:55 +1300 (Wed, 07 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Now lays out non file or database savers with OK and CANCEL buttons
------------------------------------------------------------------------
r7924 | mhall | 2011-12-09 21:37:20 +1300 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java

Removed the option to retain all string values when loading incrementally as it does not work correctly when used in the Knowledge Flow Loader. Retaining all string attribute values in memory defeats the advantages of incremental loading anyway...
------------------------------------------------------------------------
r7926 | mhall | 2011-12-09 21:51:46 +1300 (Fri, 09 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java

Fixed an issue with incremental loading when string attributes are present and only the current string value per string attribute is kept in the header.
------------------------------------------------------------------------
r7928 | eibe | 2011-12-13 16:15:31 +1300 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Vote.java

Vote now works properly as well when distributionForInstance() of base classifier does not return a fresh double[] each time it is called (e.g. current version of REPTree).
------------------------------------------------------------------------
r7929 | eibe | 2011-12-13 16:21:29 +1300 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

REPTree now clones array of class probabilities before returning it in distributionForInstance().
------------------------------------------------------------------------
r7933 | mhall | 2011-12-15 16:39:13 +1300 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Small fix to prevent the signal to close the file (for a FileSaver) from getting sent twice if null is used to indicate the end of the instance stream (rather than batch finished).
------------------------------------------------------------------------
r7935 | mhall | 2011-12-15 21:02:08 +1300 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java

Now checks for a null incoming instance as well as BATCH_FINISHED as an indicator for the end of the stream. Now uses a linked list instead of an array list for collecting the stream into a batch.
------------------------------------------------------------------------
r7937 | mhall | 2011-12-15 21:05:16 +1300 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java

Now checks for a null incoming instance as well as BATCH_FINISHED as an indicator for the end of the stream.
------------------------------------------------------------------------
r7939 | mhall | 2011-12-15 21:09:09 +1300 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Now checks for a null incoming instance as well as BATCH_FINISHED as an indicator for the end of the stream when processing instance events.
------------------------------------------------------------------------
r7941 | mhall | 2011-12-15 21:16:07 +1300 (Thu, 15 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java

Now checks for a null incoming instance as well as BATCH_FINISHED as an indicator for the end of the stream when processing incremental classifier events.
------------------------------------------------------------------------
r7943 | mhall | 2011-12-18 21:56:12 +1300 (Sun, 18 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java

Fixed an option specification that was conflicting with one by the same name in the superclass.
------------------------------------------------------------------------
r7945 | mhall | 2011-12-18 22:15:45 +1300 (Sun, 18 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Was not reporting error correctly to the log status when an error occurred during incremental classifier initialization - fixed.
------------------------------------------------------------------------
r7948 | mhall | 2011-12-19 09:37:35 +1300 (Mon, 19 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ArffSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightSaver.java

Was not working when destination was set to an output stream - fixed.
------------------------------------------------------------------------
r7951 | mhall | 2011-12-21 21:24:18 +1300 (Wed, 21 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/AttributeSelection.java

CV ranking mode was reporting abs(average merit) - fixed.
------------------------------------------------------------------------
r7954 | mhall | 2011-12-23 21:25:20 +1300 (Fri, 23 Dec 2011) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringLabeler.java
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerBeanInfo.java
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerCustomizer.java
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacer.java
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacerBeanInfo.java
   A /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacerCustomizer.java

Initial import
------------------------------------------------------------------------
r7956 | mhall | 2011-12-27 13:52:43 +1300 (Tue, 27 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java

Changed so that the capabilities accept other attribute types than String. Attributes other than String attributes are ignored by the classifier, but it now performs a check when buildClassifier() is called to make sure that there is at least one input string attribute.
------------------------------------------------------------------------
r7958 | mhall | 2011-12-27 16:45:40 +1300 (Tue, 27 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java

getOptions was not returning the stemmer and its options - fixed.
------------------------------------------------------------------------
r7960 | mhall | 2011-12-27 16:47:19 +1300 (Tue, 27 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Beans.props

Added SubstringLabeler and SubstringReplacer
------------------------------------------------------------------------
r7962 | mhall | 2011-12-27 16:51:37 +1300 (Tue, 27 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Added a new option to allow the user to specify whether an incremental classifier should be reset before processing the first instance in the incoming data stream
------------------------------------------------------------------------
r7964 | mhall | 2011-12-27 17:20:03 +1300 (Tue, 27 Dec 2011) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacer.java

Now doesn't trim replace text
------------------------------------------------------------------------
r7965 | mhall | 2012-01-04 11:53:43 +1300 (Wed, 04 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java

Added kappa statistic to chart events generated in the nominal class case.
------------------------------------------------------------------------
r7967 | mhall | 2012-01-04 16:12:47 +1300 (Wed, 04 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java

Now has an option to compute performance metrics over a sliding window just for charting purposes (final evaluation reported via the text event is for the entire stream).
------------------------------------------------------------------------
r7968 | mhall | 2012-01-04 16:13:44 +1300 (Wed, 04 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluatorBeanInfo.java

Now has an option to compute performance metrics over a sliding window just for charting purposes (final evaluation reported via the text event is for the entire stream).
------------------------------------------------------------------------
r7971 | mhall | 2012-01-05 13:57:42 +1300 (Thu, 05 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java

Did not handle relational attributes correctly when producing the output format - fixed.
------------------------------------------------------------------------
r7974 | eibe | 2012-01-06 11:57:03 +1300 (Fri, 06 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java

Fixed bug that was introduced by my last change: empty leaf nodes have m_ClassProbs == null.
------------------------------------------------------------------------
r7975 | mhall | 2012-01-08 21:56:55 +1300 (Sun, 08 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java

Was not normalizing document length correctly in the case of boolean word presence features (rather than word counts) - fixed.
------------------------------------------------------------------------
r7977 | mhall | 2012-01-09 21:41:56 +1300 (Mon, 09 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java

Added an option to allow document length normalization to be enabled or disabled.
------------------------------------------------------------------------
r7986 | mhall | 2012-01-19 09:28:33 +1300 (Thu, 19 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerCustomizer.java

Fixed a label alignment.
------------------------------------------------------------------------
r7989 | fracpete | 2012-01-19 13:12:28 +1300 (Thu, 19 Jan 2012) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/InstanceComparator.java

comparison loop now exits if values differ (previously, processed all attributes)
string and relational attributes are now handled correctly
comparator can work on range of attributes as well (incl inversion of matching sense)
------------------------------------------------------------------------
r7993 | fracpete | 2012-01-19 13:25:33 +1300 (Thu, 19 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffViewerMainPanel.java

saver in saveFile() could be null, hence determining saver now based on extension.
------------------------------------------------------------------------
r7994 | fracpete | 2012-01-19 15:54:47 +1300 (Thu, 19 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassCache.java

skips non-existing jar files now
------------------------------------------------------------------------
r7997 | mhall | 2012-01-22 08:47:43 +1300 (Sun, 22 Jan 2012) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomialText.java

Initial import of NaiveBayesMultinomialText.
------------------------------------------------------------------------
r8003 | mhall | 2012-01-26 10:45:10 +1300 (Thu, 26 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabeler.java

Now checks for missing values in the String attributes.
------------------------------------------------------------------------
r8004 | mhall | 2012-01-26 10:45:43 +1300 (Thu, 26 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacer.java

Now checks for missing values in the String attributes.
------------------------------------------------------------------------
r8005 | mhall | 2012-01-29 21:58:14 +1300 (Sun, 29 Jan 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Enabled status of Apply button now takes into account whether the current filter's capabilities reject the current instances when setInputFormat() is called. This allows XMeans to be used with AddCluster as long as unacceptable attributes are ignored using the ignore attributes field - this wasn't working previously. It also means that "No class" no longer has to be set in the drop-down box for AddCluster (since the class attribute gets removed automatically by AddCluster).
------------------------------------------------------------------------
r8010 | mhall | 2012-02-02 13:46:20 +1300 (Thu, 02 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMSaver.java

setOptions was setting the class index after calling super.setOptions, which sets the instances to operate on. This is too late to set the class index - fixed.
------------------------------------------------------------------------
r8012 | mhall | 2012-02-03 09:28:16 +1300 (Fri, 03 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabeler.java

Was not allowing trainingSet or testSet connections - fixed.
------------------------------------------------------------------------
r8014 | mhall | 2012-02-03 14:28:19 +1300 (Fri, 03 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Now correctly handles key release events triggering property changes.
------------------------------------------------------------------------
r8016 | mhall | 2012-02-03 14:29:53 +1300 (Fri, 03 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerCustomizer.java

Main editing fields now use EnvironmentField instead of JTextField.
------------------------------------------------------------------------
r8017 | mhall | 2012-02-03 14:30:06 +1300 (Fri, 03 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacerCustomizer.java

Main editing fields now use EnvironmentField instead of JTextField.
------------------------------------------------------------------------
r8021 | mhall | 2012-02-07 22:42:56 +1300 (Tue, 07 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Now checks for new versions of existing packages as well as entirely new packages on the server and alerts the user
------------------------------------------------------------------------
r8024 | mhall | 2012-02-09 15:01:01 +1300 (Thu, 09 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FileEnvironmentField.java

Now allows the file chooser to be for directories only.
------------------------------------------------------------------------
r8026 | mhall | 2012-02-14 05:31:20 +1300 (Tue, 14 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java

Now sets string attribute values properly when operating in streaming mode.
------------------------------------------------------------------------
r8028 | mhall | 2012-02-14 15:55:04 +1300 (Tue, 14 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Now checks that a classifier loaded via the popup menu is of the same type as the present classifier.
------------------------------------------------------------------------
r8034 | fracpete | 2012-02-15 14:12:10 +1300 (Wed, 15 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/Run.java
   M /trunk/weka/src/main/java/weka/associations/AbstractAssociator.java
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AprioriItemSet.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRule.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/AssociationRulesProducer.java
   M /trunk/weka/src/main/java/weka/associations/Associator.java
   M /trunk/weka/src/main/java/weka/associations/AssociatorEvaluation.java
   M /trunk/weka/src/main/java/weka/associations/BinaryItem.java
   M /trunk/weka/src/main/java/weka/associations/CARuleMiner.java
   M /trunk/weka/src/main/java/weka/associations/CheckAssociator.java
   M /trunk/weka/src/main/java/weka/associations/DefaultAssociationRule.java
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociationRules.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociator.java
   M /trunk/weka/src/main/java/weka/associations/Item.java
   M /trunk/weka/src/main/java/weka/associations/ItemSet.java
   M /trunk/weka/src/main/java/weka/associations/LabeledItemSet.java
   M /trunk/weka/src/main/java/weka/associations/NominalItem.java
   M /trunk/weka/src/main/java/weka/associations/NumericItem.java
   M /trunk/weka/src/main/java/weka/associations/SingleAssociatorEnhancer.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ASEvaluation.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ASSearch.java
   M /trunk/weka/src/main/java/weka/attributeSelection/AttributeEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/AttributeSelection.java
   M /trunk/weka/src/main/java/weka/attributeSelection/AttributeSetEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/AttributeTransformer.java
   M /trunk/weka/src/main/java/weka/attributeSelection/BestFirst.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CfsSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CheckAttributeSelection.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ErrorBasedMeritEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/GainRatioAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/GreedyStepwise.java
   M /trunk/weka/src/main/java/weka/attributeSelection/HoldOutSubsetEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/InfoGainAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/OneRAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/attributeSelection/RankedOutputSearch.java
   M /trunk/weka/src/main/java/weka/attributeSelection/Ranker.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ReliefFAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/StartSetHandler.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SubsetEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/UnsupervisedAttributeEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/UnsupervisedSubsetEvaluator.java
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java
   M /trunk/weka/src/main/java/weka/classifiers/AbstractClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/AggregateableEvaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecompose.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecomposeSegCVSub.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckSource.java
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java
   M /trunk/weka/src/main/java/weka/classifiers/ConditionalDensityEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/CostMatrix.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/IntervalEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/IteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/IterativeClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/ParallelIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/ParallelMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/SingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/Sourcable.java
   M /trunk/weka/src/main/java/weka/classifiers/UpdateableClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesNet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomial.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomialText.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomialUpdateable.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesUpdateable.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/ADNode.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/BIFReader.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/BayesNetGenerator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/EditableBayesNet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/GUI.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/ParentSet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/VaryNode.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/BMAEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/BayesNetEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/DiscreteEstimatorBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/DiscreteEstimatorFullBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/MultiNomialBMAEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/SimpleEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/SearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/ci/CISearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/ci/ICSSearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/fixed/FromFile.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/fixed/NaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/GeneticSearch.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/GlobalScoreSearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/HillClimber.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/K2.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/RepeatedHillClimber.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/SimulatedAnnealing.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/TAN.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global/TabuSearch.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/GeneticSearch.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/HillClimber.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/K2.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/LAGDHillClimber.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/LocalScoreSearchAlgorithm.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/RepeatedHillClimber.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/Scoreable.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/SimulatedAnnealing.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/TAN.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/TabuSearch.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ConfusionMatrix.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/CostCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/EvaluationUtils.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/MarginCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/NominalPrediction.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/NumericPrediction.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/Prediction.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/TwoClassStats.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/AbstractOutput.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/Null.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/XML.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/Logistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGD.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SGDText.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMO.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMOreg.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLogistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/VotedPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/LinearUnit.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/NeuralConnection.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/NeuralMethod.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/NeuralNode.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/SigmoidUnit.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/CachedKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/CheckKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/Kernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/KernelEvaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/NormalizedPolyKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PolyKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PrecomputedKernelMatrixKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/Puk.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RBFKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RegOptimizer.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RegSMO.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RegSMOImproved.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/SMOset.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/StringKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IBk.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/KStar.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar/KStarCache.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar/KStarConstants.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar/KStarNominalAttribute.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar/KStarNumericAttribute.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar/KStarWrapper.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/AdaBoostM1.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/AdditiveRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/AttributeSelectedClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Bagging.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/CostSensitiveClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/FilteredClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/LogitBoost.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MultiClassClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MultiClassClassifierUpdateable.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MultiScheme.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomCommittee.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomSubSpace.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Stacking.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Vote.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/InputMappedClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/InputMappedClassifierBeanInfo.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/SerializedClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/GeneralRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/NeuralNetwork.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/PMMLClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/RuleSetModel.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/SupportVectorMachineModel.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTable.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTableHashKey.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/JRip.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/M5Rules.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/OneR.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/PART.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Rule.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/RuleStats.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/ZeroR.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/part/C45PruneableDecList.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/part/ClassifierDecList.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/part/MakeDecList.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/part/PruneableDecList.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/DecisionStump.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LMT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/M5P.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomForest.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/BinC45ModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/BinC45Split.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45ModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45PruneableClassifierTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45Split.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/ClassifierSplitModel.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/ClassifierTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/Distribution.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/EntropyBasedSplitCrit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/EntropySplitCrit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/GainRatioSplitCrit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/InfoGainSplitCrit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/ModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeClassifierTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeNoSplit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeSplit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NoSplit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/PruneableClassifierTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/SplitCriterion.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/Stats.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt/LMTNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt/LogisticBase.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt/ResidualModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt/ResidualSplit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/CorrelationSplitInfo.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/Impurity.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/M5Base.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/PreConstructedLinearModel.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/Rule.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/RuleNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/SplitEvaluate.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/Values.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/YongSplitInfo.java
   M /trunk/weka/src/main/java/weka/classifiers/xml/XMLClassifier.java
   M /trunk/weka/src/main/java/weka/clusterers/AbstractClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/AbstractDensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/CheckClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/ClusterEvaluation.java
   M /trunk/weka/src/main/java/weka/clusterers/Clusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/Cobweb.java
   M /trunk/weka/src/main/java/weka/clusterers/DensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/EM.java
   M /trunk/weka/src/main/java/weka/clusterers/FarthestFirst.java
   M /trunk/weka/src/main/java/weka/clusterers/FilteredClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/MakeDensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/NumberOfClustersRequestable.java
   M /trunk/weka/src/main/java/weka/clusterers/RandomizableClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/RandomizableDensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/RandomizableSingleClustererEnhancer.java
   M /trunk/weka/src/main/java/weka/clusterers/SimpleKMeans.java
   M /trunk/weka/src/main/java/weka/clusterers/SingleClustererEnhancer.java
   M /trunk/weka/src/main/java/weka/clusterers/UpdateableClusterer.java
   M /trunk/weka/src/main/java/weka/core/AbstractInstance.java
   M /trunk/weka/src/main/java/weka/core/AdditionalMeasureProducer.java
   M /trunk/weka/src/main/java/weka/core/AlgVector.java
   M /trunk/weka/src/main/java/weka/core/AllJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/core/AttributeExpression.java
   M /trunk/weka/src/main/java/weka/core/AttributeLocator.java
   M /trunk/weka/src/main/java/weka/core/AttributeStats.java
   M /trunk/weka/src/main/java/weka/core/BinarySparseInstance.java
   M /trunk/weka/src/main/java/weka/core/Capabilities.java
   M /trunk/weka/src/main/java/weka/core/CapabilitiesHandler.java
   M /trunk/weka/src/main/java/weka/core/ChebyshevDistance.java
   M /trunk/weka/src/main/java/weka/core/Check.java
   M /trunk/weka/src/main/java/weka/core/CheckGOE.java
   M /trunk/weka/src/main/java/weka/core/CheckOptionHandler.java
   M /trunk/weka/src/main/java/weka/core/CheckScheme.java
   M /trunk/weka/src/main/java/weka/core/ClassCache.java
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java
   M /trunk/weka/src/main/java/weka/core/ClassloaderUtil.java
   M /trunk/weka/src/main/java/weka/core/CommandlineRunnable.java
   M /trunk/weka/src/main/java/weka/core/ContingencyTables.java
   M /trunk/weka/src/main/java/weka/core/Copyable.java
   M /trunk/weka/src/main/java/weka/core/Copyright.java
   M /trunk/weka/src/main/java/weka/core/CustomDisplayStringProvider.java
   M /trunk/weka/src/main/java/weka/core/Debug.java
   M /trunk/weka/src/main/java/weka/core/DenseInstance.java
   M /trunk/weka/src/main/java/weka/core/DistanceFunction.java
   M /trunk/weka/src/main/java/weka/core/Drawable.java
   M /trunk/weka/src/main/java/weka/core/Environment.java
   M /trunk/weka/src/main/java/weka/core/EnvironmentHandler.java
   M /trunk/weka/src/main/java/weka/core/EuclideanDistance.java
   M /trunk/weka/src/main/java/weka/core/FastVector.java
   M /trunk/weka/src/main/java/weka/core/FindWithCapabilities.java
   M /trunk/weka/src/main/java/weka/core/GlobalInfoJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Instance.java
   M /trunk/weka/src/main/java/weka/core/InstanceComparator.java
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/core/Javadoc.java
   M /trunk/weka/src/main/java/weka/core/ListOptions.java
   M /trunk/weka/src/main/java/weka/core/ManhattanDistance.java
   M /trunk/weka/src/main/java/weka/core/Matchable.java
   M /trunk/weka/src/main/java/weka/core/MathematicalExpression.java
   M /trunk/weka/src/main/java/weka/core/Matrix.java
   M /trunk/weka/src/main/java/weka/core/Memory.java
   M /trunk/weka/src/main/java/weka/core/MinkowskiDistance.java
   M /trunk/weka/src/main/java/weka/core/MultiInstanceCapabilitiesHandler.java
   M /trunk/weka/src/main/java/weka/core/NoSupportForMissingValuesException.java
   M /trunk/weka/src/main/java/weka/core/NormalizableDistance.java
   M /trunk/weka/src/main/java/weka/core/Optimization.java
   M /trunk/weka/src/main/java/weka/core/Option.java
   M /trunk/weka/src/main/java/weka/core/OptionHandler.java
   M /trunk/weka/src/main/java/weka/core/OptionHandlerJavadoc.java
   M /trunk/weka/src/main/java/weka/core/PropertyPath.java
   M /trunk/weka/src/main/java/weka/core/ProtectedProperties.java
   M /trunk/weka/src/main/java/weka/core/Queue.java
   M /trunk/weka/src/main/java/weka/core/RandomVariates.java
   M /trunk/weka/src/main/java/weka/core/Randomizable.java
   M /trunk/weka/src/main/java/weka/core/Range.java
   M /trunk/weka/src/main/java/weka/core/RelationalLocator.java
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java
   M /trunk/weka/src/main/java/weka/core/RevisionHandler.java
   M /trunk/weka/src/main/java/weka/core/RevisionUtils.java
   M /trunk/weka/src/main/java/weka/core/SelectedTag.java
   M /trunk/weka/src/main/java/weka/core/SerializationHelper.java
   M /trunk/weka/src/main/java/weka/core/SerializedObject.java
   M /trunk/weka/src/main/java/weka/core/SingleIndex.java
   M /trunk/weka/src/main/java/weka/core/SparseInstance.java
   M /trunk/weka/src/main/java/weka/core/SpecialFunctions.java
   M /trunk/weka/src/main/java/weka/core/Stopwords.java
   M /trunk/weka/src/main/java/weka/core/StringLocator.java
   M /trunk/weka/src/main/java/weka/core/Summarizable.java
   M /trunk/weka/src/main/java/weka/core/SystemInfo.java
   M /trunk/weka/src/main/java/weka/core/Tag.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformation.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformationHandler.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformationHandlerJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Tee.java
   M /trunk/weka/src/main/java/weka/core/TestInstances.java
   M /trunk/weka/src/main/java/weka/core/Trie.java
   M /trunk/weka/src/main/java/weka/core/UnassignedClassException.java
   M /trunk/weka/src/main/java/weka/core/UnassignedDatasetException.java
   M /trunk/weka/src/main/java/weka/core/Undoable.java
   M /trunk/weka/src/main/java/weka/core/UnsupportedAttributeTypeException.java
   M /trunk/weka/src/main/java/weka/core/UnsupportedClassTypeException.java
   M /trunk/weka/src/main/java/weka/core/Utils.java
   M /trunk/weka/src/main/java/weka/core/Version.java
   M /trunk/weka/src/main/java/weka/core/WeightedInstancesHandler.java
   M /trunk/weka/src/main/java/weka/core/WekaEnumeration.java
   M /trunk/weka/src/main/java/weka/core/WekaException.java
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/BatchConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/C45Loader.java
   M /trunk/weka/src/main/java/weka/core/converters/C45Saver.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseConnection.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/FileSourcedConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/IncrementalConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/JSONLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/JSONSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/Loader.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/Saver.java
   M /trunk/weka/src/main/java/weka/core/converters/SerializedInstancesLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/SerializedInstancesSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/URLSourcedLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/XRFFLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/XRFFSaver.java
   M /trunk/weka/src/main/java/weka/core/json/JSONInstances.java
   M /trunk/weka/src/main/java/weka/core/json/JSONNode.java
   M /trunk/weka/src/main/java/weka/core/json/Scanner.java
   M /trunk/weka/src/main/java/weka/core/json/Scanner.jflex
   M /trunk/weka/src/main/java/weka/core/logging/ConsoleLogger.java
   M /trunk/weka/src/main/java/weka/core/logging/FileLogger.java
   M /trunk/weka/src/main/java/weka/core/logging/Logger.java
   M /trunk/weka/src/main/java/weka/core/logging/OutputLogger.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.jflex
   M /trunk/weka/src/main/java/weka/core/matrix/DoubleVector.java
   M /trunk/weka/src/main/java/weka/core/matrix/ExponentialFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/FlexibleDecimalFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/FloatingPointFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/IntVector.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/BallTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/CoverTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/KDTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/LinearNNSearch.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/NearestNeighbourSearch.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/PerformanceStats.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/TreePerformanceStats.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallNode.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallSplitter.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallTreeConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BottomUpConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MedianDistanceFromArbitraryPoint.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MedianOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MiddleOutConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/PointsClosestToFurthestChildren.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/TopDownConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/covertrees/Stack.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KDTreeNode.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KDTreeNodeSplitter.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KMeansInpiredMethod.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/MedianOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/MidPointOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/SlidingMidPointOfWidestSide.java
   M /trunk/weka/src/main/java/weka/core/pmml/Apply.java
   M /trunk/weka/src/main/java/weka/core/pmml/Array.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInArithmetic.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInMath.java
   M /trunk/weka/src/main/java/weka/core/pmml/Constant.java
   M /trunk/weka/src/main/java/weka/core/pmml/DefineFunction.java
   M /trunk/weka/src/main/java/weka/core/pmml/DerivedFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/Expression.java
   M /trunk/weka/src/main/java/weka/core/pmml/FieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/FieldRef.java
   M /trunk/weka/src/main/java/weka/core/pmml/Function.java
   M /trunk/weka/src/main/java/weka/core/pmml/MappingInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormContinuous.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormDiscrete.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLModel.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLUtils.java
   M /trunk/weka/src/main/java/weka/core/pmml/SparseArray.java
   M /trunk/weka/src/main/java/weka/core/pmml/TargetMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/TransformationDictionary.java
   M /trunk/weka/src/main/java/weka/core/pmml/VectorDictionary.java
   M /trunk/weka/src/main/java/weka/core/pmml/VectorInstance.java
   M /trunk/weka/src/main/java/weka/core/scripting/Groovy.java
   M /trunk/weka/src/main/java/weka/core/scripting/Jython.java
   M /trunk/weka/src/main/java/weka/core/scripting/JythonObject.java
   M /trunk/weka/src/main/java/weka/core/scripting/JythonSerializableObject.java
   M /trunk/weka/src/main/java/weka/core/stemmers/IteratedLovinsStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/LovinsStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/NullStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/SnowballStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/Stemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/Stemming.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/AlphabeticTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/CharacterDelimitedTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/NGramTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/Tokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/WordTokenizer.java
   M /trunk/weka/src/main/java/weka/core/xml/KOML.java
   M /trunk/weka/src/main/java/weka/core/xml/MethodHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/PropertyHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/SerialUIDChanger.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLBasicSerialization.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLDocument.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLInstances.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLOptions.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLSerialization.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLSerializationMethodHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/XStream.java
   M /trunk/weka/src/main/java/weka/datagenerators/ClassificationGenerator.java
   M /trunk/weka/src/main/java/weka/datagenerators/ClusterDefinition.java
   M /trunk/weka/src/main/java/weka/datagenerators/ClusterGenerator.java
   M /trunk/weka/src/main/java/weka/datagenerators/DataGenerator.java
   M /trunk/weka/src/main/java/weka/datagenerators/RegressionGenerator.java
   M /trunk/weka/src/main/java/weka/datagenerators/Test.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/Agrawal.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/BayesNet.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/LED24.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RDG1.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RandomRBF.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/regression/Expression.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/regression/MexicanHat.java
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers/BIRCHCluster.java
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers/SubspaceCluster.java
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers/SubspaceClusterDefinition.java
   M /trunk/weka/src/main/java/weka/estimators/CheckEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/ConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/DDConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/DKConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/DNConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/DiscreteEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/Estimator.java
   M /trunk/weka/src/main/java/weka/estimators/EstimatorUtils.java
   M /trunk/weka/src/main/java/weka/estimators/IncrementalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/KDConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/KKConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/KernelEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/MahalanobisEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/NDConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/NNConditionalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/NormalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/PoissonEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateDensityEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateEqualFrequencyHistogramEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateIntervalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateKernelEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateNormalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateQuantileEstimator.java
   M /trunk/weka/src/main/java/weka/experiment/AveragingResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/CSVResultListener.java
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/Compute.java
   M /trunk/weka/src/main/java/weka/experiment/CostSensitiveClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/CrossValidationResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/CrossValidationSplitResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseResultListener.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.java
   M /trunk/weka/src/main/java/weka/experiment/DensityBasedClustererSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/Experiment.java
   M /trunk/weka/src/main/java/weka/experiment/ExplicitTestsetResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/InstanceQuery.java
   M /trunk/weka/src/main/java/weka/experiment/InstanceQueryAdapter.java
   M /trunk/weka/src/main/java/weka/experiment/InstancesResultListener.java
   M /trunk/weka/src/main/java/weka/experiment/LearningRateResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/OutputZipper.java
   M /trunk/weka/src/main/java/weka/experiment/PairedCorrectedTTester.java
   M /trunk/weka/src/main/java/weka/experiment/PairedStats.java
   M /trunk/weka/src/main/java/weka/experiment/PairedStatsCorrected.java
   M /trunk/weka/src/main/java/weka/experiment/PairedTTester.java
   M /trunk/weka/src/main/java/weka/experiment/PropertyNode.java
   M /trunk/weka/src/main/java/weka/experiment/RandomSplitResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/RemoteEngine.java
   M /trunk/weka/src/main/java/weka/experiment/RemoteExperiment.java
   M /trunk/weka/src/main/java/weka/experiment/RemoteExperimentEvent.java
   M /trunk/weka/src/main/java/weka/experiment/RemoteExperimentListener.java
   M /trunk/weka/src/main/java/weka/experiment/RemoteExperimentSubTask.java
   M /trunk/weka/src/main/java/weka/experiment/ResultListener.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrix.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixCSV.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixGnuPlot.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixHTML.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixLatex.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixPlainText.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixSignificance.java
   M /trunk/weka/src/main/java/weka/experiment/ResultProducer.java
   M /trunk/weka/src/main/java/weka/experiment/SplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/Stats.java
   M /trunk/weka/src/main/java/weka/experiment/Task.java
   M /trunk/weka/src/main/java/weka/experiment/TaskStatusInfo.java
   M /trunk/weka/src/main/java/weka/experiment/Tester.java
   M /trunk/weka/src/main/java/weka/experiment/remote.policy
   M /trunk/weka/src/main/java/weka/experiment/remote.policy.example
   M /trunk/weka/src/main/java/weka/experiment/xml/XMLExperiment.java
   M /trunk/weka/src/main/java/weka/filters/AllFilter.java
   M /trunk/weka/src/main/java/weka/filters/CheckSource.java
   M /trunk/weka/src/main/java/weka/filters/Filter.java
   M /trunk/weka/src/main/java/weka/filters/MultiFilter.java
   M /trunk/weka/src/main/java/weka/filters/SimpleBatchFilter.java
   M /trunk/weka/src/main/java/weka/filters/SimpleFilter.java
   M /trunk/weka/src/main/java/weka/filters/SimpleStreamFilter.java
   M /trunk/weka/src/main/java/weka/filters/Sourcable.java
   M /trunk/weka/src/main/java/weka/filters/StreamableFilter.java
   M /trunk/weka/src/main/java/weka/filters/SupervisedFilter.java
   M /trunk/weka/src/main/java/weka/filters/UnsupervisedFilter.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AttributeSelection.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/ClassOrder.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/Resample.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/SpreadSubsample.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/StratifiedRemoveFolds.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AbstractTimeSeries.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Add.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddCluster.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddID.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddNoise.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Center.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ChangeDateFormat.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ClusterMembership.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Copy.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/FirstOrder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/KernelFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MakeIndicator.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Normalize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericCleaner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericTransform.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PKIDiscretize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PotentialClassIgnorer.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomProjection.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomSubset.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveByName.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveType.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveUseless.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RenameAttribute.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Reorder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ReplaceMissingValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SortLabels.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Standardize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SwapValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesDelta.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesTranslate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/NonSparseToSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Randomize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFolds.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFrequentValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveMisclassified.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemovePercentage.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveRange.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Resample.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/ReservoirSample.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SparseToNonSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Scanner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Scanner.jflex
   M /trunk/weka/src/main/java/weka/gui/AttributeListPanel.java
   M /trunk/weka/src/main/java/weka/gui/AttributeSelectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/AttributeSummaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java
   M /trunk/weka/src/main/java/weka/gui/BrowserHelper.java
   M /trunk/weka/src/main/java/weka/gui/CheckBoxList.java
   M /trunk/weka/src/main/java/weka/gui/ComponentHelper.java
   M /trunk/weka/src/main/java/weka/gui/ConverterFileChooser.java
   M /trunk/weka/src/main/java/weka/gui/CostMatrixEditor.java
   M /trunk/weka/src/main/java/weka/gui/CustomPanelSupplier.java
   M /trunk/weka/src/main/java/weka/gui/DatabaseConnectionDialog.java
   M /trunk/weka/src/main/java/weka/gui/ExtensionFileFilter.java
   M /trunk/weka/src/main/java/weka/gui/FileEditor.java
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/GenericArrayEditor.java
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.excludes
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java
   M /trunk/weka/src/main/java/weka/gui/HierarchyPropertyParser.java
   M /trunk/weka/src/main/java/weka/gui/InstancesSummaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/JListHelper.java
   M /trunk/weka/src/main/java/weka/gui/JTableHelper.java
   M /trunk/weka/src/main/java/weka/gui/ListSelectorDialog.java
   M /trunk/weka/src/main/java/weka/gui/Loader.java
   M /trunk/weka/src/main/java/weka/gui/LogPanel.java
   M /trunk/weka/src/main/java/weka/gui/LogWindow.java
   M /trunk/weka/src/main/java/weka/gui/Logger.java
   M /trunk/weka/src/main/java/weka/gui/LookAndFeel.java
   M /trunk/weka/src/main/java/weka/gui/LookAndFeel.props
   M /trunk/weka/src/main/java/weka/gui/Main.java
   M /trunk/weka/src/main/java/weka/gui/MainMenuExtension.java
   M /trunk/weka/src/main/java/weka/gui/MemoryUsage.props
   M /trunk/weka/src/main/java/weka/gui/MemoryUsagePanel.java
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java
   M /trunk/weka/src/main/java/weka/gui/PropertyDialog.java
   M /trunk/weka/src/main/java/weka/gui/PropertyPanel.java
   M /trunk/weka/src/main/java/weka/gui/PropertySelectorDialog.java
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /trunk/weka/src/main/java/weka/gui/PropertyText.java
   M /trunk/weka/src/main/java/weka/gui/PropertyValueSelector.java
   M /trunk/weka/src/main/java/weka/gui/ReaderToTextPane.java
   M /trunk/weka/src/main/java/weka/gui/ResultHistoryPanel.java
   M /trunk/weka/src/main/java/weka/gui/SaveBuffer.java
   M /trunk/weka/src/main/java/weka/gui/SelectedTagEditor.java
   M /trunk/weka/src/main/java/weka/gui/SetInstancesPanel.java
   M /trunk/weka/src/main/java/weka/gui/SimpleCLI.java
   M /trunk/weka/src/main/java/weka/gui/SimpleCLI.props
   M /trunk/weka/src/main/java/weka/gui/SimpleCLIPanel.java
   M /trunk/weka/src/main/java/weka/gui/SimpleDateFormatEditor.java
   M /trunk/weka/src/main/java/weka/gui/SortedTableModel.java
   M /trunk/weka/src/main/java/weka/gui/SplashWindow.java
   M /trunk/weka/src/main/java/weka/gui/SysErrLog.java
   M /trunk/weka/src/main/java/weka/gui/TaskLogger.java
   M /trunk/weka/src/main/java/weka/gui/ViewerDialog.java
   M /trunk/weka/src/main/java/weka/gui/WekaTaskMonitor.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffSortedTableModel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTable.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTableCellRenderer.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffViewer.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffViewerMainPanel.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractDataSink.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractDataSinkBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractDataSource.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractDataSourceBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractOffscreenChartRenderer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTestSetProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTestSetProducerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTrainAndTestSetProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTrainAndTestSetProducerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTrainingSetProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractTrainingSetProducerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/Appender.java
   M /trunk/weka/src/main/java/weka/gui/beans/AppenderBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/AssociatorBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AssociatorCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AttributeSummarizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/AttributeSummarizerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/AttributeSummarizerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchAssociationRulesEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchAssociationRulesListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClassifierListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClustererEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClustererListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCommon.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanConnection.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanInstance.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanVisual.java
   M /trunk/weka/src/main/java/weka/gui/beans/ChartEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/ChartListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssignerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePickerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePickerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluatorBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluatorCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluatorBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConnectionNotificationConsumer.java
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMakerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/CustomizerCloseRequester.java
   M /trunk/weka/src/main/java/weka/gui/beans/CustomizerClosingListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataFormatListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataSetEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataSink.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataSource.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataSourceListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataVisualizerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/DataVisualizerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java
   M /trunk/weka/src/main/java/weka/gui/beans/EventConstraints.java
   M /trunk/weka/src/main/java/weka/gui/beans/FileEnvironmentField.java
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java
   M /trunk/weka/src/main/java/weka/gui/beans/FilterBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/FilterCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /trunk/weka/src/main/java/weka/gui/beans/GOECustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/GraphEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/GraphListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/GraphViewer.java
   M /trunk/weka/src/main/java/weka/gui/beans/GraphViewerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/HeadlessEventCollector.java
   M /trunk/weka/src/main/java/weka/gui/beans/ImageEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/ImageListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/ImageSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/ImageSaverBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ImageSaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluatorBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluatorCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/KFStep.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlow.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java
   M /trunk/weka/src/main/java/weka/gui/beans/LogWriter.java
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java
   M /trunk/weka/src/main/java/weka/gui/beans/ModelPerformanceChart.java
   M /trunk/weka/src/main/java/weka/gui/beans/ModelPerformanceChartBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ModelPerformanceChartCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/Note.java
   M /trunk/weka/src/main/java/weka/gui/beans/NoteBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/NoteCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/OffscreenChartRenderer.java
   M /trunk/weka/src/main/java/weka/gui/beans/PluginManager.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppenderBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppenderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SQLViewerPerspective.java
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ScatterPlotMatrix.java
   M /trunk/weka/src/main/java/weka/gui/beans/ScatterPlotMatrixBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ShadowBorder.java
   M /trunk/weka/src/main/java/weka/gui/beans/StartUpListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/Startable.java
   M /trunk/weka/src/main/java/weka/gui/beans/StripChart.java
   M /trunk/weka/src/main/java/weka/gui/beans/StripChartBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/StripChartCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/StructureProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabeler.java
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextViewer.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextViewerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/ThresholdDataEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/ThresholdDataListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainTestSplitMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainTestSplitMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainTestSplitMakerCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/UserRequestAcceptor.java
   M /trunk/weka/src/main/java/weka/gui/beans/Visible.java
   M /trunk/weka/src/main/java/weka/gui/beans/VisualizableErrorEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/VisualizableErrorListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/WekaOffscreenChartRenderer.java
   M /trunk/weka/src/main/java/weka/gui/beans/WekaWrapper.java
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanelDistributed.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/DataGenerator.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/KDDataGenerator.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/RemoteBoundaryVisualizerSubTask.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/RemoteResult.java
   M /trunk/weka/src/main/java/weka/gui/experiment/AlgorithmListPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/DatasetListPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/DistributeExperimentPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/Experimenter.java
   M /trunk/weka/src/main/java/weka/gui/experiment/ExperimenterDefaults.java
   M /trunk/weka/src/main/java/weka/gui/experiment/GeneratorPropertyIteratorPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/HostListPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/OutputFormatDialog.java
   M /trunk/weka/src/main/java/weka/gui/experiment/ResultsPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/RunNumberPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/RunPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SetupModePanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SetupPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SimpleSetupPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AbstractPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanelLaunchHandlerPlugin.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererAssignmentsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanelLaunchHandlerPlugin.java
   M /trunk/weka/src/main/java/weka/gui/explorer/DataGeneratorPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/VisualizePanel.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/BIFFormatException.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/BIFParser.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/DotParser.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphConstants.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphEdge.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphNode.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/HierarchicalBCEngine.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/LayoutCompleteEvent.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/LayoutCompleteEventListener.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/LayoutEngine.java
   M /trunk/weka/src/main/java/weka/gui/hierarchyvisualizer/HierarchyVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/scripting/FileScriptingPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/GroovyPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/GroovyScript.java
   M /trunk/weka/src/main/java/weka/gui/scripting/JythonPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/JythonScript.java
   M /trunk/weka/src/main/java/weka/gui/scripting/Script.java
   M /trunk/weka/src/main/java/weka/gui/scripting/ScriptUtils.java
   M /trunk/weka/src/main/java/weka/gui/scripting/ScriptingPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/event/ScriptExecutionEvent.java
   M /trunk/weka/src/main/java/weka/gui/scripting/event/ScriptExecutionListener.java
   M /trunk/weka/src/main/java/weka/gui/scripting/event/TitleUpdatedEvent.java
   M /trunk/weka/src/main/java/weka/gui/scripting/event/TitleUpdatedListener.java
   M /trunk/weka/src/main/java/weka/gui/sql/ConnectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/sql/DbUtils.java
   M /trunk/weka/src/main/java/weka/gui/sql/InfoPanel.java
   M /trunk/weka/src/main/java/weka/gui/sql/InfoPanelCellRenderer.java
   M /trunk/weka/src/main/java/weka/gui/sql/QueryPanel.java
   M /trunk/weka/src/main/java/weka/gui/sql/ResultPanel.java
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetHelper.java
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetTable.java
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetTableCellRenderer.java
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetTableModel.java
   M /trunk/weka/src/main/java/weka/gui/sql/SqlViewer.java
   M /trunk/weka/src/main/java/weka/gui/sql/SqlViewerDialog.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/ConnectionEvent.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/ConnectionListener.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/HistoryChangedEvent.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/HistoryChangedListener.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/QueryExecuteEvent.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/QueryExecuteListener.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/ResultChangedEvent.java
   M /trunk/weka/src/main/java/weka/gui/sql/event/ResultChangedListener.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceCounter.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceEvent.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceJoiner.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceListener.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceLoader.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceProducer.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceSavePanel.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceTable.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceViewer.java
   M /trunk/weka/src/main/java/weka/gui/streams/SerialInstanceListener.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/Colors.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/Edge.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/NamedColor.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/Node.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/NodePlace.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/PlaceNode1.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/PlaceNode2.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeBuild.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeDisplayEvent.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeDisplayListener.java
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/visualize/AttributePanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/AttributePanelEvent.java
   M /trunk/weka/src/main/java/weka/gui/visualize/AttributePanelListener.java
   M /trunk/weka/src/main/java/weka/gui/visualize/BMPWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/ClassPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/InstanceInfo.java
   M /trunk/weka/src/main/java/weka/gui/visualize/InstanceInfoFrame.java
   M /trunk/weka/src/main/java/weka/gui/visualize/JComponentWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/JPEGWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/LegendPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/MatrixPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PNGWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2D.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2DCompanion.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PlotData2D.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PostscriptGraphics.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PostscriptWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PrintableComponent.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PrintableHandler.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PrintablePanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/ThresholdVisualizePanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanelEvent.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanelListener.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizeUtils.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/AssociationRuleVisualizePlugin.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/ErrorVisualizePlugin.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/GraphVisualizePlugin.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/TreeVisualizePlugin.java
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins/VisualizePlugin.java
   M /trunk/weka/src/test/java/weka/AllTests.java
   M /trunk/weka/src/test/java/weka/associations/AbstractAssociatorTest.java
   M /trunk/weka/src/test/java/weka/associations/AllTests.java
   M /trunk/weka/src/test/java/weka/associations/AprioriTest.java
   M /trunk/weka/src/test/java/weka/associations/FPGrowthTest.java
   M /trunk/weka/src/test/java/weka/associations/FilteredAssociatorTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/AbstractAttributeSelectionTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/AbstractEvaluatorTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/AbstractSearchTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/AllTests.java
   M /trunk/weka/src/test/java/weka/attributeSelection/BestFirstTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/CfsSubsetEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/GainRatioAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/GreedyStepwiseTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/InfoGainAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/OneRAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/PrincipalComponentsTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/RankerTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/ReliefFAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/SymmetricalUncertAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/WrapperSubsetEvalTest.java
   M /trunk/weka/src/test/java/weka/classifiers/AbstractClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/AllTests.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/BayesNetTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesMultinomialTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesMultinomialTextTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesMultinomialUpdateableTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/NaiveBayesUpdateableTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/GaussianProcessesTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/LinearRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/LogisticTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/MultilayerPerceptronTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SGDTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SGDTextTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SMOTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SMOregTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SimpleLinearRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/SimpleLogisticTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/VotedPerceptronTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/AbstractKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/AllTests.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/NormalizedPolyKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/PolyKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/PrecomputedKernelMatrixKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/PukTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/RBFKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector/StringKernelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/lazy/IBkTest.java
   M /trunk/weka/src/test/java/weka/classifiers/lazy/KStarTest.java
   M /trunk/weka/src/test/java/weka/classifiers/lazy/LWLTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/AdaBoostM1Test.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/AdditiveRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/AttributeSelectedClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/BaggingTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/CVParameterSelectionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/ClassificationViaRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/CostSensitiveClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/EnsembleSelectionTest.model.xml
   M /trunk/weka/src/test/java/weka/classifiers/meta/FilteredClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/LogitBoostTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/MultiClassClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/MultiClassClassifierUpdateableTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/MultiSchemeTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/RandomCommitteeTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/RandomSubSpaceTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/RegressionByDiscretizationTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/StackingTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/ThresholdSelectorDummyClassifier.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/VoteTest.java
   M /trunk/weka/src/test/java/weka/classifiers/misc/InputMappedClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/misc/SerializedClassifierTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/AllTests.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/GeneralRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/NeuralNetworkTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/RegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/RuleSetModelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/SupportVectorMachineModelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/TreeModelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/DecisionTableTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/JRipTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/M5RulesTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/OneRTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/PARTTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/ZeroRTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/DecisionStumpTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/J48Test.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/LMTTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/M5PTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/REPTreeTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/RandomForestTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/RandomTreeTest.java
   M /trunk/weka/src/test/java/weka/clusterers/AbstractClustererTest.java
   M /trunk/weka/src/test/java/weka/clusterers/AllTests.java
   M /trunk/weka/src/test/java/weka/clusterers/CobwebTest.java
   M /trunk/weka/src/test/java/weka/clusterers/EMTest.java
   M /trunk/weka/src/test/java/weka/clusterers/FarthestFirstTest.java
   M /trunk/weka/src/test/java/weka/clusterers/FilteredClustererTest.java
   M /trunk/weka/src/test/java/weka/clusterers/HierarchicalClustererTest.java
   M /trunk/weka/src/test/java/weka/clusterers/MakeDensityBasedClustererTest.java
   M /trunk/weka/src/test/java/weka/clusterers/SimpleKMeansTest.java
   M /trunk/weka/src/test/java/weka/core/AlgVectorTest.java
   M /trunk/weka/src/test/java/weka/core/AllTests.java
   M /trunk/weka/src/test/java/weka/core/InstancesTest.java
   M /trunk/weka/src/test/java/weka/core/MathematicalExpressionTest.java
   M /trunk/weka/src/test/java/weka/core/OptionHandlersTest.java
   M /trunk/weka/src/test/java/weka/core/RangeTest.java
   M /trunk/weka/src/test/java/weka/core/SingleIndexTest.java
   M /trunk/weka/src/test/java/weka/core/TrieTest.java
   M /trunk/weka/src/test/java/weka/core/UtilsTest.java
   M /trunk/weka/src/test/java/weka/core/converters/AbstractConverterTest.java
   M /trunk/weka/src/test/java/weka/core/converters/AbstractFileConverterTest.java
   M /trunk/weka/src/test/java/weka/core/converters/AllTests.java
   M /trunk/weka/src/test/java/weka/core/converters/ArffTest.java
   M /trunk/weka/src/test/java/weka/core/converters/C45Test.java
   M /trunk/weka/src/test/java/weka/core/converters/CSVTest.java
   M /trunk/weka/src/test/java/weka/core/converters/JSONTest.java
   M /trunk/weka/src/test/java/weka/core/converters/LibSVMTest.java
   M /trunk/weka/src/test/java/weka/core/converters/MatlabTest.java
   M /trunk/weka/src/test/java/weka/core/converters/SVMLightTest.java
   M /trunk/weka/src/test/java/weka/core/converters/SerializedInstancesTest.java
   M /trunk/weka/src/test/java/weka/core/converters/XRFFTest.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/AbstractNearestNeighbourSearchTest.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/AllTests.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/BallTreeTest.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/CoverTreeTest.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/KDTreeTest.java
   M /trunk/weka/src/test/java/weka/core/neighboursearch/LinearNNSearchTest.java
   M /trunk/weka/src/test/java/weka/core/tokenizers/AbstractTokenizerTest.java
   M /trunk/weka/src/test/java/weka/core/tokenizers/AllTests.java
   M /trunk/weka/src/test/java/weka/core/tokenizers/AlphabeticTokenizerTest.java
   M /trunk/weka/src/test/java/weka/core/tokenizers/NGramTokenizerTest.java
   M /trunk/weka/src/test/java/weka/core/tokenizers/WordTokenizerTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/AbstractClusterDefinitionTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/AbstractDataGeneratorTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/AllTests.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification/AgrawalTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification/BayesNetTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification/LED24Test.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification/RDG1Test.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification/RandomRBFTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/regression/ExpressionTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/regression/MexicanHatTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/clusterers/BIRCHClusterTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/clusterers/SubspaceClusterDefinitionTest.java
   M /trunk/weka/src/test/java/weka/datagenerators/clusterers/SubspaceClusterTest.java
   M /trunk/weka/src/test/java/weka/filters/AbstractFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/AbstractTimeSeriesFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/AllFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/AllTests.java
   M /trunk/weka/src/test/java/weka/filters/MultiFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute/AddClassificationTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute/AttributeSelectionTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute/ClassOrderTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute/DiscretizeTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute/NominalToBinaryTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/instance/ResampleTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/instance/SpreadSubsampleTest.java
   M /trunk/weka/src/test/java/weka/filters/supervised/instance/StratifiedRemoveFoldsTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddClusterTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddExpressionTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddIDTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddNoiseTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/AddValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/CenterTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ChangeDateFormatTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ClassAssignerTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ClusterMembershipTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/CopyTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/DiscretizeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/FirstOrderTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/InterquartileRangeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/KernelFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MakeIndicatorTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MathExpressionTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MergeManyValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/MergeTwoValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NominalToBinaryTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NominalToStringTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NormalizeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NumericCleanerTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NumericToBinaryTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NumericToNominalTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/NumericTransformTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ObfuscateTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/PKIDiscretizeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/PartitionedMultiFilterTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/PrincipalComponentsTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RandomProjectionTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RandomSubsetTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RemoveByNameTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RemoveTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RemoveTypeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RemoveUselessTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RenameAttributeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ReorderTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/ReplaceMissingValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/SortLabelsTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/StandardizeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/StringToNominalTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/StringToWordVectorTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/SwapValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/TimeSeriesDeltaTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/TimeSeriesTranslateTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/NonSparseToSparseTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RandomizeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemoveFoldsTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemoveFrequentValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemoveMisclassifiedTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemovePercentageTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemoveRangeTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/RemoveWithValuesTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/ResampleTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/ReservoirSampleTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/SparseToNonSparseTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/SubsetByExpressionTest.java
   M /trunk/weka/src/test/java/weka/test/Regression.java
   M /trunk/weka/src/test/java/weka/test/WekaTestSuite.java

updated to GPL3
------------------------------------------------------------------------
r8040 | fracpete | 2012-02-16 08:37:57 +1300 (Thu, 16 Feb 2012) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java

added method for accessing internal outlier/extreme/median/iqr values
replaced deprecated FastVector with ArrayList
------------------------------------------------------------------------
r8046 | mhall | 2012-02-17 03:56:47 +1300 (Fri, 17 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysisBeanInfo.java

Was missing gpl header.
------------------------------------------------------------------------
r8047 | mhall | 2012-02-17 04:07:15 +1300 (Fri, 17 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabelerCustomizer.java

Was missing gpl header.
------------------------------------------------------------------------
r8051 | mhall | 2012-02-19 00:17:19 +1300 (Sun, 19 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Beans.props
   A /trunk/weka/src/main/java/weka/gui/beans/Sorter.java
   A /trunk/weka/src/main/java/weka/gui/beans/SorterBeanInfo.java
   A /trunk/weka/src/main/java/weka/gui/beans/SorterCustomizer.java
   A /trunk/weka/src/main/java/weka/gui/beans/icons/Sorter.gif
   A /trunk/weka/src/main/java/weka/gui/beans/icons/Sorter_animated.gif

Initial import of the Sorter step
------------------------------------------------------------------------
r8054 | fracpete | 2012-02-20 13:22:53 +1300 (Mon, 20 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/DensityBasedClustererSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java

determination of sizes (train/test/algorithm) can be turned off now
------------------------------------------------------------------------
r8062 | mhall | 2012-02-22 15:14:08 +1300 (Wed, 22 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Sorter.java

Now processes merge step in a separate thread
------------------------------------------------------------------------
r8064 | mhall | 2012-02-23 09:02:53 +1300 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/MarginCalculator.java

Was missing GPL header
------------------------------------------------------------------------
r8065 | mhall | 2012-02-23 10:58:42 +1300 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

Now only performs the conversion (thus creating new instance objects and a new data set) when necessary - i.e. when there are actually nominal attributes with more than two values present.
------------------------------------------------------------------------
r8066 | mhall | 2012-02-23 10:58:56 +1300 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java

Now only performs the conversion (thus creating new instance objects and a new data set) when necessary - i.e. when there are actually nominal attributes with more than two values present.
------------------------------------------------------------------------
r8072 | mhall | 2012-02-27 14:33:53 +1300 (Mon, 27 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/lib/packageManager.jar
   M /trunk/weka/resources/packageManager-source.jar
   M /trunk/weka/src/main/java/weka/core/RepositoryIndexGenerator.java
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Package manager now implements a new strategy for obtaining a copy of the meta data from the repository. This results in far fewer requests to the server and is much faster.
------------------------------------------------------------------------
r8074 | mhall | 2012-02-27 21:49:03 +1300 (Mon, 27 Feb 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Added the ability for the Classifier step to load a classifier at execution time for scoring in batch mode (testSet only connection) or updating and scoring in incremental mode
------------------------------------------------------------------------
r8076 | eibe | 2012-03-01 21:29:56 +1300 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Optimization.java

Changed some access modifiers to enable subclass. Also made changes to use matrix.Matrix instead of Matrix.
------------------------------------------------------------------------
r8077 | eibe | 2012-03-01 21:32:50 +1300 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/ConjugateGradientOptimization.java

Subclass of Optimization.java that implements nonlinear conjugate gradient descent rather than quasi-Newton with BFGS. Preferable in terms of memory use and (most likely) runtime for problems with many parameters.
------------------------------------------------------------------------
r8078 | eibe | 2012-03-01 21:34:35 +1300 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ConjugateGradientOptimization.java

Forgot to replace header with new version, sigh.
------------------------------------------------------------------------
r8079 | eibe | 2012-03-01 21:40:05 +1300 (Thu, 01 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/Logistic.java

Added option to use conjugate gradient descent rather than quasi-Newton with BFGS updates. Can be advantageous for problems with many parameters.
------------------------------------------------------------------------
r8080 | fracpete | 2012-03-02 12:12:54 +1300 (Fri, 02 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

added method for breaking up strings into lines, if maximum line length exceeded
------------------------------------------------------------------------
r8082 | fracpete | 2012-03-02 12:13:59 +1300 (Fri, 02 Mar 2012) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java
   A /trunk/weka/src/main/java/weka/gui/GenericObjectEditorHistory.java
   M /trunk/weka/src/main/java/weka/gui/PropertyPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

added simple object history to GenericObjectEditor, to keep track of used setups
Explorer makes use of new history in all the property panels
------------------------------------------------------------------------
r8086 | mhall | 2012-03-03 09:24:06 +1300 (Sat, 03 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Changed repo mirror info output from stdout to stderr in order to prevent it from getting into the output of any scripts that redirect stdout to a file.
------------------------------------------------------------------------
r8089 | mhall | 2012-03-07 14:10:08 +1300 (Wed, 07 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

Was not checking if numeric output attributes were required when deciding not to transform an already binary attribute - fixed.
------------------------------------------------------------------------
r8096 | mhall | 2012-03-08 11:41:06 +1300 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

output format can be the same object as the input format when no transformations are required.
------------------------------------------------------------------------
r8097 | mhall | 2012-03-08 11:41:20 +1300 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java

output format can be the same object as the input format when no transformations are required.
------------------------------------------------------------------------
r8099 | mhall | 2012-03-10 21:32:00 +1300 (Sat, 10 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMOreg.java

Small change so that the PrecomputedKernelMatrixKernel can be used with SMOreg.
------------------------------------------------------------------------
r8103 | mhall | 2012-03-12 11:07:18 +1300 (Mon, 12 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/version.txt

Trunk is now at 3.7.6
------------------------------------------------------------------------
r8105 | mhall | 2012-03-14 10:46:21 +1300 (Wed, 14 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringReplacer.java

Regex matching strings are now pre-compiled for speed.
------------------------------------------------------------------------
r8106 | mhall | 2012-03-14 10:46:38 +1300 (Wed, 14 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SubstringLabeler.java

Regex matching strings are now pre-compiled for speed.
------------------------------------------------------------------------
r8114 | mhall | 2012-03-20 23:28:36 +1300 (Tue, 20 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PackageManager.java

Was not putting a line break after each updated package name in the updated package tool-tip popup - fixed.
------------------------------------------------------------------------
r8116 | mhall | 2012-03-22 16:29:57 +1300 (Thu, 22 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Fixed a bug in setting the value of the field.
------------------------------------------------------------------------
r8118 | mhall | 2012-03-22 19:08:35 +1300 (Thu, 22 Mar 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/JRip.java

Made RipperRule and Antd (and its subclasses) public. Added a getAntds() method to RipperRule.
------------------------------------------------------------------------
r8123 | eibe | 2012-04-11 15:52:46 +1200 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMOreg.java

Changed .equals() to .equalsIgnoreCase() in getMeasure().
------------------------------------------------------------------------
r8130 | mhall | 2012-04-12 21:19:08 +1200 (Thu, 12 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Was not allowing lower bounds smaller than 0.0001 - fixed.
------------------------------------------------------------------------
r8181 | mhall | 2012-04-16 22:22:52 +1200 (Mon, 16 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Last change to remove the precision restriction also inadvertently removed the ability to handle integer parameter values - fixed.
------------------------------------------------------------------------
r8183 | mhall | 2012-04-16 23:12:07 +1200 (Mon, 16 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/WekaPackageManager.java

Now establishes the repository mirror lazily (i.e. only when the first package manager related operation is invoked). Now also rebuilds the cache in the case when downloaded packages exist but the cache has been deleted or corrupted.
------------------------------------------------------------------------
r8277 | mhall | 2012-04-23 08:55:24 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8280 | mhall | 2012-04-23 08:57:49 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericCleaner.java

Was not checking for missing values when applying the decimals conversion, which was resulting in missing value getting converted to 0 - fixed.
------------------------------------------------------------------------
r8283 | mhall | 2012-04-23 21:40:48 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8286 | mhall | 2012-04-23 22:29:59 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8288 | mhall | 2012-04-23 22:33:59 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8572 | mhall | 2012-04-26 13:40:09 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8575 | mhall | 2012-04-26 13:45:57 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToNominal.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8578 | mhall | 2012-04-26 13:50:00 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8581 | mhall | 2012-04-26 13:58:07 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8584 | mhall | 2012-04-26 14:02:51 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SwapValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8587 | mhall | 2012-04-26 14:07:36 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/NonSparseToSparse.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8589 | mhall | 2012-04-26 14:15:20 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFrequentValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8592 | mhall | 2012-04-26 14:20:49 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8596 | mhall | 2012-04-26 14:42:55 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/SerializationHelper.java

Was consuming ClassNotFoundException in readAll - these are now passed on.
------------------------------------------------------------------------
r8604 | mhall | 2012-04-26 15:32:13 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffSortedTableModel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffViewerMainPanel.java

ArffViewer was not honoring options set on the Loader via the Invoke more options dialog - fixed
------------------------------------------------------------------------
r8890 | mhall | 2012-04-30 09:42:09 +1200 (Mon, 30 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Fixed an npe that was occurring because the load model file field does not appear on the customizer for non-incremental classifiers.
------------------------------------------------------------------------
r8892 | mhall | 2012-04-30 13:39:46 +1200 (Mon, 30 Apr 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomForest.java

Now provides an option to print all the trees in the textual output.
------------------------------------------------------------------------
r8894 | mhall | 2012-05-01 11:28:04 +1200 (Tue, 01 May 2012) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Now uses threshold to color the cost/benefit curve.
------------------------------------------------------------------------
